/* This file runs a full set of tests on the Macintosh version 
   of yorick, although it should be also useful for any other version.
   */

/* run the parser test */
include, "testpars.i"

skip_testb= 0;
skip_test1= 0;
skip_test2= 0;
skip_test3= 0;

if (!skip_testb) {
  require, "testb.i";
  write,"\n Zeroth test is pdtest files:";  pdcheck2;  write,"";
  testb;
}

/* use the same pass count for all tests */
npass= 20;

/* write if tests twice so that include actually takes place */
if (!skip_test1) include, "test1.i";
if (!skip_test1) { write,"\nShock tracker timing test:";  test1, 2; }

if (!skip_test2) include, "test2.i";
if (!skip_test2) { write,"\nEscape factor timing test:";  test2, 2; }


if (!skip_test3) include, "test3.i";
if (!skip_test3) { write,"\nZone generator timing test:";  test3, 2; }

/* Run the tests of the math library routines */
include, "testm.i"
testm;

/* Run the linpack benchmark */
include, "linpack.i"
linpack;

/* Run the tests of the graphics package */
include, "testg.i"
/* NOTE!! running mode zero test first to be sure the
   window exists before anyone switches to animate mode.
*/
lissajous,0;
lissajous,1;
testg3;

include, "demo2.i";
demo2;
